

# Scales all of the "wait" commands in order to change the overall speed of the script.

use POSIX qw(ceil);

$file = "005-steps.txt";
$factor = 3;


open (example, "$file");
open(fileOUT, ">new_$file");

foreach (<example>) {
	if ($_ =~ /wait/) {
		$_ =~ s/([0-9]+)/ceil($1*0.5)/e;
	}
	print fileOUT $_;
}


close (fileOUT);