
# Creates a repeating zooming (tunnel) pattern script

@colours = ("#FF0000","#FFFF00","#00FF00","#00FFFF","#0000FF","#FF00FF");
reverse(@colours);


#@colours = @colours2;
#@colours = (@colours1,@colours1,@colours2,@colours2);


$num = $#colours + 1;

$T1 = 100;
$T2 = 3300;

srand time;


open(fileOUT, ">zoom_colours.txt");
for ($i=0;$i<300;$i++) {
	$c1 = $colours[$i % $num];
	$c2 = $colours[($i+1) % $num];
	$c3 = $colours[($i+2) % $num];
	$c4 = $colours[($i+3) % $num];
	$c5 = $colours[($i+4) % $num];
	
	$delay = int( rand( $T2-$T1+1 ) ) + $T1;
	
	print fileOUT "0	w	$c1\n";
	print fileOUT "3	w	$c2\n";
	print fileOUT "6	w	$c3\n";
	print fileOUT "wait	300\n";
	print fileOUT "1	w	$c1\n";
	print fileOUT "4	w	$c2\n";
	print fileOUT "7	w	$c3\n";
	print fileOUT "wait	300\n";
	print fileOUT "2	w	$c1\n";
	print fileOUT "5	w	$c2\n";
	print fileOUT "8	w	$c3\n";
	print fileOUT "wait	$delay\n";
}
close (fileOUT);