import java.io.*;
import java.net.*;

public class PerformerConnection {
	Socket theSocket = null;
	PrintWriter out = null;
	BufferedReader in = null;
	String host = "";

	public PerformerConnection(String pHost) {
		host = pHost;

	}
	
	public void Connect() {
		try {
			theSocket = new Socket(host, 4444);
			out = new PrintWriter(theSocket.getOutputStream(), true);
			in = new BufferedReader(new InputStreamReader(theSocket.getInputStream()));
			System.out.println("IsConnected to: "+host);
		} catch (UnknownHostException e) {
			System.err.println("Don't know about host: "+host);
		} catch (IOException e) {
			System.err.println("Couldn't get I/O for the connection to: "+host);
		}
	}
	
	public void Cmd(String cmd) {
		if (out != null) out.println(cmd);
	}
	
	public boolean isConnected() {
		if (theSocket == null) {
			return false;
		}
		else {
			return true;
		}
	}

	public void close() {
		try {
			out.close();
			in.close();
			theSocket.close();
		}
		catch (IOException e) {
			System.err.println("Couldn't close the connection to: "+host);
		}
	}
	
	public String getHost() {
		return host;
	}
}